var wordlist_1 = require("./data/wordlist");
var inflection = require("inflection");
require("./es6Mods");
var thesaurus = require("./data/thesaurus.json");
function checkString(str, delim) {
    delim = delim || " ";
    return str.split(delim).map(prep).filter(function (q) { return wordlist_1.default.indexOf(q) < 0; });
}
exports.checkString = checkString;
function replace(str, delim) {
    delim = delim || " ";
    return str
        .split(delim)
        .map(prep)
        .map(function (q) {
        q = q.toLowerCase();
        if (wordlist_1.default.indexOf(q) > -1) {
            return q;
        }
        else {
            if (q in thesaurus) {
                var options = thesaurus[q];
                return options[Math.floor(Math.random() * options.length)];
            }
            else {
                return "**Missing**";
            }
        }
    })
        .join(delim);
}
exports.replace = replace;
function prep(str) {
    str = inflection.singularize(str.toLowerCase());
    if (str.endsWith("'s")) {
        str = str.substr(0, str.length - 3);
    }
    str = str.trim().replace(/[^a-z0-9\s']/gi, '');
    return str;
}
